<template>
  <ui-radio-group
    v-model="model"
    name="bananas-buttons"
    label="Do you like bananas? (as buttons)"
    hints="select one of the following options"
    :options="options"
    :errors="!model && 'Please select an option!'"
    buttons
    required
  />
</template>

<script lang="ts" setup>
import { ref } from 'vue'

const model = ref()
const options = [
  { id: '1', label: 'Yes' },
  { id: '2', label: 'No' },
  {
    id: '3',
    label: `You always own the option of having no opinion. There is never any need to get worked up or to trouble your soul about things you can't control. These things are not asking to be judged by you. Leave them alone.`,
    disabled: true,
  },
]
</script>
